Authentication

List API tokens

GET
/auth/token

Lists all API tokens for the current user. The returned tokens only contain a hashed version of the access token and are not usable as-is.

Authorization

token_auth
headerAuthorizationBearer <token>

Token-based authentication using access tokens.

Query Parameters

page?Page

Page number.

Default1
per_page?Per Page

Items per page.

Range1 <= value <= 100
Default20
order?Order

Sort order.

Default"desc"
Value in"asc""desc"
include_expired?Include Expired

Whether to include expired tokens.

Defaultfalse

Response Body

Successful Response

application/json
  1. response
pagination*

Pagination information.

tokens*array<>

List of active API tokens.

curl -X GET "https://example.com/auth/token"
{  "pagination": {    "page": 0,    "per_page": 0,    "total": 0,    "pages": 0,    "has_next": true,    "has_prev": true  },  "tokens": [    {      "token_id": "string",      "expiration_date": "string"    }  ]}